@import 'reset.css';

:root {
  font-size: 18px;
  --text-color: #FFFFFF;
  --text-hover-color: #F26522;
}

body {
  font-family: 'Roboto', sans-serif;
  font-weight: 400;
  line-height: 1;
  color: var(--text-color);
  background: url('../img/background.png') center/cover no-repeat;
}

.container {
  width: 100%;
  max-width: calc(1030px + 30px);
  margin: 0 auto;
  padding: 0 15px;
}

.header {
  margin-top: 46px;
  margin-bottom: 20px;
}

.header__wrapper {
  display: flex;
  justify-content: space-between;
}

.header__logo {
  display: flex;
  justify-content: flex-start;
  gap: 8px;
}

.header__logo-img-wrapper {
  display: flex;
  position: relative;
}

.header__logo-img {
  display: flex;
  position: relative;
  left: 0;
  bottom: 0;
  width: 100%;
  object-fit: contain;
}

.header__logo-img-hover {
  display: flex;
  width: 100%;
  height: 100%;
  position: absolute;
  object-fit: contain;
  left: 0;
  opacity: 0;
}

.header__logo:hover .header__logo-img-hover {
  opacity: 1;
}

.header__logo:hover .header__logo-img {
  opacity: 0;
}

.header__logo:hover .header__logo-text {
  color: var(--text-hover-color);
}

.header__logo-text {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}

.header__logo-text-top {
  font-weight: 700;
  font-size: 1.6rem;
  text-transform: uppercase;
  margin-bottom: 4px;
}

.header__logo-text-bottom {
  text-transform: uppercase;
}

.header__contacts {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  text-align: right;
}

.header__contacts-item:hover {
  color: var(--text-hover-color);
}

.tours {
  margin-bottom: 48px;
}

.tour__wrapper {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  column-gap: 52px;
  row-gap: 40px;
}

.tour__card {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.tour__card-image {
  position: relative;
  overflow: hidden;
}

.tour__card-picture {
  object-fit: cover;
  width: 100%;
  border-width: 1px;
  border-style: solid;
  border-image: linear-gradient(45deg, white, black) 1;
}

.tour__details {
  position: absolute;
  bottom: -30%;
  display: flex;
  background-color: var(--text-hover-color);
  justify-content: space-between;
  align-items: flex-end;
  width: 100%;
  padding: 8px 16px 12px;
  transition: bottom 0.3s ease;
}

.tour__card:hover .tour__details {
  bottom: 0;
}

.tour__details-price {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.tour__details-text {
  display: flex;
  flex-direction: column;
  align-content: flex-start;
  justify-content: space-between;
  gap: 8px;
  font-size: 0.6rem;
}

.tour__details-amount {
  font-size: 1.1rem;
}

.tour__details-view {
  font-size: 0.8rem;
}

.tour__details-view::after {
  display: inline-block;
  position: relative;
  bottom: -1px; /*  */
  content: url("../img/arrow-right.svg");
  margin-left: 16px;
}

.tour__card-desc {
  display: flex;
  justify-content: center;
  align-items: flex-end;
}

.tour__card:hover .tour__card-desc-text {
  color: var(--text-hover-color);
}

.footer__copyright {
  font-size: 0.8rem;
  line-height: 1;

  text-align: center;
}